import com.threed.jpct.*;
import java.io.*;
import java.util.*;
import org.jdom.*;
import org.jdom.input.*;
import org.jdom.output.*;


public class DevkitConfig{

	public static final String DEVKIT_MODELS_PATH = "devkit-models-path";
	public static final String DEVKIT_TEXTURES_PATH = "devkit-textures-path";
	public static final String DEVKIT_XML_PERSISTENCE_PATH = "devkit-xml-persistence-path";
	public static final String MODELS_PATH = "models-path";
	public static final String TERRAIN_PATH = "terrain-path";
	public static final String EXTENSIONS_TEMPLATE = "extensions-template";

	private static DevkitConfig _dc = null;
	private static Element _xR = null;

	private DevkitConfig(){};
	
	public static String getValue(String sQ){
		String sR = null;
		try{
			sR = _xR.getChild(sQ).getTextTrim();
		}catch(Exception e){
			System.err.println("DevkitConfig::getValue() failed looking for element ["
				+ sQ + "] " + e.getMessage());
			e.printStackTrace();
		}
		return sR;
	}

	private void init(){
		try{
			String sfile = "resources/devkitConfig.xml";
            SAXBuilder builder = new SAXBuilder();

            Document doc = builder.build(getClass().getClassLoader().getResourceAsStream(sfile));

            XMLOutputter outputter = new XMLOutputter(Format.getPrettyFormat());
            outputter.output(doc, System.out);

			_xR = doc.getRootElement();


		}catch(Exception e){
			System.err.println("DevkitConfig::init() " + e.getMessage());
			e.printStackTrace();
		}
	}


	public static DevkitConfig getInstance(){
		try{
			if(_dc == null){
				_dc = new DevkitConfig();
				_dc.init();
			}
		}catch(Exception e){
			System.err.println("DevkitConfig::getInstance() " + e.getMessage());
			e.printStackTrace();
		}
		return _dc;
	}	
}