import com.threed.jpct.*;
import java.io.*;
import java.util.*;
import org.jdom.*;
import org.jdom.input.*;
import org.jdom.output.*;

public class TextureConfig{


	public static final String NAME = "name";
	public static final String PATH = "path";
	public static final String USE_ALPHA = "use-alpha";

	public TextureConfig(){
		loadConfig();

	}
	


	public void loadConfig(){
		try{
			String sfile = "resources/textureConfig.xml";
            SAXBuilder builder = new SAXBuilder();

            Document doc = builder.build(getClass().getClassLoader().getResourceAsStream(sfile));

            XMLOutputter outputter = new XMLOutputter(Format.getPrettyFormat());
            outputter.output(doc, System.out);


			List lst = doc.getRootElement().getChildren();

			TextureManager tm = TextureManager.getInstance();

			for(int i=0; i<lst.size(); i++){
				Element e = (Element)lst.get(i);
				String sName = e.getChild(NAME).getTextTrim();
				String sPath = e.getChild(PATH).getTextTrim();
				String sUseAlpha = e.getChild(USE_ALPHA).getTextTrim();
				boolean bUseAlpha = false;

				if(sUseAlpha.equals("1"))
					bUseAlpha = true;
					
				Texture	t = new Texture(getClass().getClassLoader().getResourceAsStream(sPath), bUseAlpha);


      			tm.addTexture(sName, t);

				System.out.println("TextureConfig::loadConfig() loaded texture: " + sName);
			}

		}catch(Exception e){
			System.err.println("TextureConfig::loadConfig() " + e.getMessage());
			e.printStackTrace();
		}
	}
}